Page 1 of 1

[solved] Update to latest Cg Toolkit

Posted: Sun Jun 21, 2009 11:38 am
by yeahRIGHT
Is it possible to update to the latest version (2.2) of the Cg Toolkit with the next release? It seems, that currently version 2.0 ist used, which I suspect to have some obvious bugs in the compiler (like "optimizing" away results which need to be preserved). I think this would help a lot to write cross-API shader programs even more easily and shouldn't be too much of a breaking change.

Re: Update to latest Cg Toolkit

Posted: Sun Jun 21, 2009 11:41 am
by CABAListic
If you compile Ogre from source, then you can already use Cg 2.2. Cg 2.0 is just the version which is shipped with the precompiled dependencies or the official SDKs, because those haven't been updated yet. But Ogre itself doesn't much care about the version of Cg, so feel free to replace it and compile away :)

Re: Update to latest Cg Toolkit

Posted: Mon Jun 22, 2009 2:14 pm
by Praetor
The Cg version should be updated when the new version is released. But if you want to upgrade the version used with 1.6.x you'll need to compile from source as CABAListic said.

Re: Update to latest Cg Toolkit

Posted: Mon Jun 22, 2009 2:18 pm
by jacmoe
It's easy enough: copy headers and lib and DLL over and recompile the cg plugin manager. :)

Re: Update to latest Cg Toolkit

Posted: Wed Jun 24, 2009 9:03 pm
by yeahRIGHT
Yeah, I think it would be a job easy enough for me to do :) . However, when I wrote that the 2.0 version was a nuissance, I meant this as a (still very valid) rationale for the suggestion, it's not that I need the update desperately. In effect, I just wanted to make sure that this will not be forgotten, since it's not even 2.1 that is currently used. :)

Re: [solved] Update to latest Cg Toolkit

Posted: Fri Dec 09, 2011 1:32 pm
by JDX_John
Raising a dead thread to life... what Cg version is in the current version of Ogre? In 1.7.3 (the version I'm using) I see 2.2, did you move to version 3.x in 1.8?

Re: [solved] Update to latest Cg Toolkit

Posted: Fri Dec 09, 2011 5:39 pm
by CABAListic
Since we haven't done any SDK releases for 1.8, that question is a bit moot. But yes, we are going to ship the 1.8 SDKs with Cg 3.

Even Ogre 1.7 can be compiled against Cg 3, if you like.